Bug 596795 - Java-1.6.0.-openJDK Crash
Java-1.6.0.-openJDK Crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 10:16 EDT by Iwao Yagami
Modified: 2011-06-27 12:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:48:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace of crash (87.55 KB, application/octet-stream)
2010-05-27 10:16 EDT, Iwao Yagami
no flags Details

  None (edit)
Description Iwao Yagami 2010-05-27 10:16:45 EDT
Created attachment 417261 [details]
Backtrace of crash

Description of problem:
OpenJDK 1.6 crashes when trying to run the Java-based PKCS#11 authentication module ("DBSign" program) at http://www.defensetravel.osd.mil/dts/site/index.jsp for client login. 

Reason:
Process /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)

Command:
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jlib/amd64/../../bin/java
sun.applet.PluginMain

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1.6.0.0.x86_64

How reproducible:
100% (70% quiet failures, 30% crashes with ABRT notification)

Steps to Reproduce:
1. Install java and CoolKey bundles, register PKCS#11 CAC/smartcard reader with Firefox
2. Attempt to login to http://www.defensetravel.osd.mil
3. ???
4. Profit!
  
Actual results:
Failure to access PKCS#11 device properly results in crash. Works fine on OS X, Ubuntu 64, and the Army's new Linux live CD. Surprised it does not work on Fedora.

Expected results:
Normal login through Java enabled DBSign applet. 

Additional info:
The JDK usually crashes quietly with status bar messages "loading applet... / Applet starting / Start: applet not initialized". Sometimes crashes hard with an ABRT notification, but insufficient backtrace to auto-post on Bugzilla. This is the primary reason DoD personnel cannot use Fedora, despite its well received security features.
Comment 1 Bug Zapper 2011-06-02 09:14:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 12:48:31 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.